import request from '@/utils/request'

// 获取设备节点列表
export function deviceNodeList (params) {
    return request({
        url: '/system/device/node/list',
        method: 'get',
        params
    })
}

// 新增节点
export function deviceNodeSave (data) {
    return request({
        url: '/system/device/node/save',
        method: 'post',
        data
    })
}

/**
 * 查询设备节点详细
 * @param {*} nodeId 
 */
export function deviceNodeInfo (nodeId) {
    return request({
        url: '/system/device/node/' + nodeId,
        method: 'get'
    })
}

// 删除节点
export function deviceNodeDel (ids) {
    return request({
        url: '/system/device/node/' + ids,
        method: 'delete'
    })
}

// 获取节点下拉
export function deviceNodeSelect (params) {
    return request({
        url: '/system/device/node/select',
        method: 'get',
        params
    })
}
